Subject: Re: Exception: STATUS_ACCESS_VIOLATION What is it ??
From: [email-masked] (Christopher G. Faylor)

26 May 1998 14:22:04 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Ondrej Florian <[email-masked]> wrote:
>When I compile mc (it compiles without any problems when I "fix" the
>truncate function) executing program's binary will give me this
>
>(C:\Incoming\src\mc-4.1\src\mc.exe 1005) Exception:
>STATUS_ACCESS_VIOLATION
>(C:\Incoming\src\mc-4.1\src\mc.exe 1005) Dumping stack trace to
>mc.exe.core
>
>What does "Exception: STATUS_ACCESS_VIOLATION" mean ??
>I don't have any other problem with any other compiled binary.

It means that there has been a reference to an invalid memory address.
Run the program under gdb to find out exactly where.
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada